org.eclipse.net4j.signal.confirmation

## Class ConfirmationIndication<PROTOCOL extends SignalProtocol<?> & IConfirmationProvider.Provider>

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalReactor
    - - org.eclipse.net4j.signal.IndicationWithResponse
      - - org.eclipse.net4j.signal.IndicationWithMonitoring
        - - org.eclipse.net4j.signal.confirmation.ConfirmationIndication<PROTOCOL>

- All Implemented Interfaces:
    java.lang.Runnable

      public class ConfirmationIndication<PROTOCOL extends SignalProtocol<?> & IConfirmationProvider.Provider>
      extends IndicationWithMonitoring

  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfirmationIndication(SignalProtocol<?> protocol, java.lang.Enum<?> literal)`
    `ConfirmationIndication(SignalProtocol<?> protocol, short signalID)`
    `ConfirmationIndication(SignalProtocol<?> protocol, short id, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IConfirmationProvider` | `getConfirmationProvider()`
    `protected int` | `getIndicatingWorkPercent()`
    `protected ConfirmationPrompt` | `getPrompt()`
    `protected void` | `indicating(ExtendedDataInputStream in, OMMonitor monitor)`
    `protected void` | `responding(ExtendedDataOutputStream out, OMMonitor monitor)`

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithMonitoring

      `execute, getMonitoringExecutorService, indicating, responding`

    - ### Methods inherited from class org.eclipse.net4j.signal.IndicationWithResponse

      `closeChannelAfterException, getExceptionMessage`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfirmationIndication

          public ConfirmationIndication(SignalProtocol<?> protocol,
                                        short id,
                                        java.lang.String name)

    - #### ConfirmationIndication

          public ConfirmationIndication(SignalProtocol<?> protocol,
                                        short signalID)

    - #### ConfirmationIndication

          public ConfirmationIndication(SignalProtocol<?> protocol,
                                        java.lang.Enum<?> literal)

  - ### Method Detail

    - #### getIndicatingWorkPercent

          protected int getIndicatingWorkPercent()

      Overrides:
        `getIndicatingWorkPercent` in class `IndicationWithMonitoring`

    - #### indicating

          protected void indicating(ExtendedDataInputStream in,
                                    OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `indicating` in class `IndicationWithMonitoring`
      Throws:
        `java.lang.Exception`

    - #### getPrompt

          protected final ConfirmationPrompt getPrompt()

    - #### responding

          protected void responding(ExtendedDataOutputStream out,
                                    OMMonitor monitor)
                             throws java.lang.Exception

      Specified by:
        `responding` in class `IndicationWithMonitoring`
      Throws:
        `java.lang.Exception`

    - #### getConfirmationProvider

          public IConfirmationProvider getConfirmationProvider()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html